clang-tools 10.0.0

Protected Member Functions | Protected Attributes | List of all members
clang::clangd::BackgroundIndexRebuilderTest Class Reference
Inheritance diagram for clang::clangd::BackgroundIndexRebuilderTest:
[legend]
Collaboration diagram for clang::clangd::BackgroundIndexRebuilderTest:
[legend]

## Protected Member Functions
| BackgroundIndexRebuilderTest ()
bool | checkRebuild (std::function< void()> Action)

## Protected Attributes
Symbol | TestSymbol
FileSymbols | Source
SwapIndex | Target
BackgroundIndexRebuilder | Rebuilder
unsigned | VersionCounter = 0
std::deque< std::string > | VersionStorage

## Detailed Description

Definition at line 573 of file BackgroundIndexTests.cpp.

## Constructor & Destructor Documentation

## ◆ BackgroundIndexRebuilderTest()

clang::clangd::BackgroundIndexRebuilderTest::BackgroundIndexRebuilderTest | ( |  | ) |
| inline protected

Definition at line 575 of file BackgroundIndexTests.cpp.

## Member Function Documentation

## ◆ checkRebuild()

bool clang::clangd::BackgroundIndexRebuilderTest::checkRebuild | ( | std::function< void()> | Action | ) |
| inline protected

Definition at line 583 of file BackgroundIndexTests.cpp.

References clang::clangd::SymbolSlab::Builder::insert().

## Member Data Documentation

## ◆ Rebuilder

BackgroundIndexRebuilder clang::clangd::BackgroundIndexRebuilderTest::Rebuilder
| protected

Definition at line 605 of file BackgroundIndexTests.cpp.

## ◆ Source

FileSymbols clang::clangd::BackgroundIndexRebuilderTest::Source
| protected

Definition at line 603 of file BackgroundIndexTests.cpp.

## ◆ Target

SwapIndex clang::clangd::BackgroundIndexRebuilderTest::Target
| protected

Definition at line 604 of file BackgroundIndexTests.cpp.

## ◆ TestSymbol

Symbol clang::clangd::BackgroundIndexRebuilderTest::TestSymbol
| protected

Definition at line 602 of file BackgroundIndexTests.cpp.

## ◆ VersionCounter

unsigned clang::clangd::BackgroundIndexRebuilderTest::VersionCounter = 0
| protected

Definition at line 607 of file BackgroundIndexTests.cpp.

## ◆ VersionStorage

std::deque<std::string> clang::clangd::BackgroundIndexRebuilderTest::VersionStorage
| protected

Definition at line 608 of file BackgroundIndexTests.cpp.

The documentation for this class was generated from the following file:

- BackgroundIndexTests.cpp